<?php require('head.php');
if(@$infos_user['token'] == @$_SESSION['token'] && @$_SESSION['token'] != '')
{
	if(@$_GET['action'] == 'logout')
	{
		$_SESSION['user'] = '';
		$_SESSION['token'] = '';
		header('Refresh:1; url=connexion.php');
		echo 'Vous êtes déconnecté!';
	}
	else
	{
		header('Refresh:1; url=index.php');
		echo 'Vous êtes connecté en tant que: <b>'.$_SESSION['user'].'</b>';
	}
}
elseif(@$_POST['user'] && @$_POST['pass'])
{
	if($result_infos_userCO = $connexion->query("SELECT * FROM  comptes WHERE pseudo='".$_POST['user']."'"))
	{
		$infos_userCO = $result_infos_userCO->fetch();
		//if($infos_userCO['mdp1'] == md5($_POST['pass']))
		if($infos_userCO['mdp1'] == $_POST['pass'])
		{
			$tokenCO = rand(100000, 999999);
			if($connexion->query("UPDATE comptes SET token='".$tokenCO."' WHERE pseudo='".$_POST['user']."'"))
			{
				$_SESSION['user'] = $_POST['user'];
				$_SESSION['token'] = $tokenCO;
				header('Refresh:1; url=index.php');
				echo 'Vous êtes connecté en tant que: <b>'.$_SESSION['user'].'</b>';
			}
			else echo 'Erreur avec la BDD! 0x02';
		}
		else echo 'L\'utilisateur ou mot de passe incorrect!<br/><br/>-> <a href="connexion.php">On réésaye?</a>';
	}
	else echo 'Erreur avec la BDD! 0x01';
}
else
{
?>
<h2>Connexion</h2>
<form method="post">
Utilisateur :<br/>
<input type="text" name="user"><br/><br/>
Mot de passe :<br/>
<input type="password" name="pass">
<input type="submit" value="Se connecter">
</form>
<?php
}
include('foot.php'); ?>